#include<bits/stdc++.h>
using namespace std;

bool provera(int &l, int &d, int del, vector<int>&a){
    del = 1;
    for(int i = l-1; i < d-1; i++){
        if(a[i] > a[i+1] && del > 0) del = 0;
        if(a[i] > a[i+1] && del < 0) return false;

    }return true;
}


int main(){
int n;
vector<int>a(n);
for(int i = 0; i < n; i++)
    cin >> a[i];
int l, d;
int bp; cin >> bp;
for(int i = 0; i < bp; i++){
    cin >> l >> d;
    if(provera) cout << "DA";
        else cout << "NE";
    
}



    return 0;


}